<?php
/* 
    This file is part of the Auction Manager for osCommerce
    Copyright 2003, AuctionBlox.com
	
	This contribution has been released under the GNU General Public License.
	
	If you find this contribution useful, please send us an email to
	oscommerce@auctionblox.com.  If you would like to make a financial
	contribution to support further development of this contribution, 
	please visit:  http://www.auctionblox.com/oscommerce
*/
  require('includes/application_top.php');

  require(DIR_WS_FUNCTIONS . 'formatter.php');  

  require(DIR_WS_CLASSES . 'currencies.php');
  $currencies = new currencies();
  
  require(DIR_WS_CLASSES . 'auction_helper.php');  
  $auctionHelper = new auctionHelper;
?>
<!doctype html public "-//W3C//DTD HTML 4.01 Transitional//EN">
<html <?php echo HTML_PARAMS; ?>>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=<?php echo CHARSET; ?>">
<title><?php echo TITLE; ?></title>
<link rel="stylesheet" type="text/css" href="includes/stylesheet.css">
</head>
<body marginwidth="0" marginheight="0" topmargin="0" bottommargin="0" leftmargin="0" rightmargin="0" bgcolor="#FFFFFF">

<form action="http://feedback.ebay.com/ws1/eBayISAPI.dll" method="POST" target="_blank">
<input type="hidden" name="MfcISAPICommand" value="LeaveMultipleFeedback">
<?php 

	if($HTTP_GET_VARS['action'] === 'process')
	{
		$counter = 0;
		foreach ($HTTP_GET_VARS as $key => $var) 
		{
			if(substr($key, 0, 3) === 'oID')	
			{
				tep_db_query("UPDATE " . TABLE_AUCTION_BASKET . " SET feedback_left = 'FEEDBACK_LEFT' WHERE auction_basket_id = $var");
				$counter++;
			}
			
		}
		$messageStack->add(sprintf('Success: %d records updated.', $counter), 'success');
	}
	else
	{
		$counter = 0;
		foreach ($HTTP_GET_VARS as $key => $var) 
		{
			if(substr($key, 0, 3) === 'oID')	
			{
			//<INPUT type="hidden" name="i0" value="">
			//<INPUT type="hidden" name="confirm0" value="0">
			//<INPUT type="hidden" name="which0" value="">
			//<INPUT type="hidden" name="comment0" value="">
		
				$item = $auctionHelper->getAuctionListing($var);
	
				echo "<INPUT type='hidden' name='ouser" . $counter . "' value='" . $item['userID'] . "'>";
				echo "<INPUT type='hidden' name='i" . $counter . "' value='" . $item['extID'] . "'>";
				echo "<INPUT type='hidden' name='transactid" . $counter . "' value='" . $item['extKey2'] . "'>";
				echo "<INPUT type='hidden' name='confirm" . $counter . "' value='0'>";
				echo "<INPUT type='hidden' name='which" . $counter . "' value='" . $HTTP_GET_VARS['type'] . "'>";
				
				switch($HTTP_GET_VARS['type'])
				{
				case 'negative':
					echo "<INPUT type='hidden' name='comment" . $counter . "' value='" . AUCTIONBLOX_NEGATIVE_FEEDBACK_TEMPLATE . "'>";
					break;
			
				case 'neutral':
					echo "<INPUT type='hidden' name='comment" . $counter . "' value='" . AUCTIONBLOX_NEUTRAL_FEEDBACK_TEMPLATE . "'>";
					break;

				case 'positive':
					echo "<INPUT type='hidden' name='comment" . $counter . "' value='" . AUCTIONBLOX_POSITIVE_FEEDBACK_TEMPLATE . "'>";
					break;

				default:
					break;
				}

				$counter++;
			}
		}
	} 

?>
<!-- body //-->
<table border="0" width="100%" cellspacing="2" cellpadding="2">
   <tr>
    <td><?php echo $messageStack->output('feedback'); ?></td>
   </tr>
   <tr>
    <td width="100%" valign="top" class="main">
	<b>Instructions:</b><br><br>If clicking "Leave Feedback" displays the eBay login page, please log in to your eBay account and <b>click the "Leave Feedback" button again</b>.<br><br>
	</td>
  </tr>
  <tr>
    <td width="100%" valign="top" align="center">
	<input type="submit" value="Leave Feedback">
	</td>
  </tr>
</table>  
</form>

<form action=" <?php echo tep_href_link('auction_feedback.php', tep_get_all_get_params() . 'action=process') ?>" method="POST">
<table border="0" width="100%" cellspacing="2" cellpadding="2">
  <tr>
    <td width="100%" valign="top" class="main">
	<br><br><br><br>After <b>successfully</b> leaving feedback, click the "Change Status" button to change the feedback state from "Leave Feedback" to "Feedback Left".<br><br>
	</td>
  </tr>
    <td width="100%" valign="top" align="center">
	<input type="submit" value="Change Status">
	</td>
</table>

</body>
</html>
<?php require(DIR_WS_INCLUDES . 'application_bottom.php'); ?>
