<?php
/*
  $Id: auction_upload.php,v 1.0 2003/12/29 Auctionblox Exp $
 
  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com
 
  Copyright (c) 2003 osCommerce
  
  This file is part of the eBay Auction Manager for osCommerce
  http://www.auctionblox.com/oscommerce
 
  Copyright (c) 2003, AuctionBlox.com  
 
  Released under the GNU General Public License
*/

  require('includes/application_top.php');

  require(DIR_WS_FUNCTIONS . 'formatter.php');  
  
  require(DIR_WS_CLASSES . 'currencies.php');
  $currencies = new currencies();
  
  require(DIR_WS_CLASSES . 'auction_helper.php');  

			$auctionHelper = new auctionHelper;
			
			$insuranceOptions = $auctionHelper->getInsuranceOptions();
			$shippingTypes = $auctionHelper->getShippingTypes();

			$auction_houses = array();
		    $auction_houses_query = tep_db_query("select auction_house_id, auction_house_label from " . TABLE_AUCTION_HOUSES);
			while ($auction_house = tep_db_fetch_array($auction_houses_query))
			{
			    $auction_houses[] = array('id' => $auction_house['auction_house_id'],
        			                      'text' => $auction_house['auction_house_label']);
	  		}		
  
			$products[] = array('id' => '0', 'text' => '[No product selected]');
			$products_query = tep_db_query("select pd.products_id, pd.products_name from " . TABLE_PRODUCTS_DESCRIPTION . " pd where pd.language_id = '" . $languages_id . "' order by pd.products_name");			
			while ($product = tep_db_fetch_array($products_query))
			{
			    $products[] = array('id' => $product['products_id'],
        			                'text' => $product['products_name']);
	  		}		
		
			$auction_statuses = array();
			$query_raw = "select status_id, status_label from " . TABLE_AUCTION_SALE_STATUS . " where language_id = '" . $languages_id . "' order by status_id ASC";
  			$query = tep_db_query($query_raw);
			while ($status = tep_db_fetch_array($query)) 
			{
				$auction_statuses[] = array('id' => $status['status_id'],
											'text' => $status['status_label']);
			}

//debugbreak();			
//	if($HTTP_GET_VARS['oID'])
	{
		switch($HTTP_GET_VARS['action'])
		{
		case 'edit':
	    	$oInfo = new objectInfo($auctionHelper->getAuctionListing($HTTP_GET_VARS['oID']));
			$action = 'update';
			break;
			
		case 'update':
			$auction_house_id =  tep_db_prepare_input($HTTP_POST_VARS['auctionHouseID']);
			$ext_title =  tep_db_prepare_input($HTTP_POST_VARS['extTitle']);

			$winner = array('auctionHouseID' => $auction_house_id,
 						    'userID' => tep_db_prepare_input($HTTP_POST_VARS['userID']),
							'email' => tep_db_prepare_input($HTTP_POST_VARS['email']));
										
			$product   = array('ID' => tep_db_prepare_input($HTTP_GET_VARS['oID']),
							   'auctionHouseID' => $auction_house_id,
							   'productID' => tep_db_prepare_input($HTTP_POST_VARS['productID']),
							   'statusID' => tep_db_prepare_input($HTTP_POST_VARS['statusID']),
							   'extID' => tep_db_prepare_input($HTTP_POST_VARS['extID']),
							   'extTitle' => $ext_title,
							   'extDesc' => tep_db_prepare_input($HTTP_POST_VARS['extDesc']),
							   'timeEnd' => local_date_to_gmt_sql_format($HTTP_POST_VARS['timeEnd']),
							   'email' => tep_db_prepare_input($HTTP_POST_VARS['email']),
							   'qty' => tep_db_prepare_input($HTTP_POST_VARS['qty']),
							   'priceEnd' => tep_db_prepare_input($HTTP_POST_VARS['priceEnd']),
							   'tax' => tep_db_prepare_input($HTTP_POST_VARS['tax']),
							   'shippingType' => tep_db_prepare_input($HTTP_POST_VARS['shippingType']),
							   'shipping' => tep_db_prepare_input($HTTP_POST_VARS['shipping']),
							   'shippingAdditional' => tep_db_prepare_input($HTTP_POST_VARS['shippingAdditional']),
							   'insurance' => tep_db_prepare_input($HTTP_POST_VARS['insurance']),
							   'insuranceOption' => tep_db_prepare_input($HTTP_POST_VARS['insuranceOption']),
							   'insurancePerItem' => tep_db_prepare_input($HTTP_POST_VARS['insurancePerItem']),
							   'notify' => tep_db_prepare_input($HTTP_POST_VARS['notify']));

			$auctionHelper->update($winner, $product);
			tep_redirect(tep_href_link(FILENAME_AUCTION_SALES, tep_get_all_get_params(array('action')), 'SSL'));
			break;
			
		case 'insert':
			$auction_house_id =  tep_db_prepare_input($HTTP_POST_VARS['auctionHouseID']);
			$ext_title =  tep_db_prepare_input($HTTP_POST_VARS['extTitle']);
			
			$winner = array('auctionHouseID' => $auction_house_id,
 						    'userID' => tep_db_prepare_input($HTTP_POST_VARS['userID']),
							'email' => tep_db_prepare_input($HTTP_POST_VARS['email']));
			
			$product   = array('ID' => tep_db_prepare_input($HTTP_GET_VARS['oID']),
							   'auctionHouseID' => $auction_house_id,
							   'productID' => tep_db_prepare_input($HTTP_POST_VARS['productID']),
							   'statusID' => tep_db_prepare_input($HTTP_POST_VARS['statusID']),
							   'extID' => tep_db_prepare_input($HTTP_POST_VARS['extID']),
							   'extTitle' => $ext_title,
							   'extDesc' => tep_db_prepare_input($HTTP_POST_VARS['extDesc']),
							   'timeEnd' => local_date_to_gmt_sql_format($HTTP_POST_VARS['timeEnd']),
							   'email' => tep_db_prepare_input($HTTP_POST_VARS['email']),
							   'qty' => tep_db_prepare_input($HTTP_POST_VARS['qty']),
							   'priceEnd' => tep_db_prepare_input($HTTP_POST_VARS['priceEnd']),
							   'tax' => tep_db_prepare_input($HTTP_POST_VARS['tax']),
							   'shippingType' => tep_db_prepare_input($HTTP_POST_VARS['shippingType']),
							   'shipping' => tep_db_prepare_input($HTTP_POST_VARS['shipping']),
							   'shippingAdditional' => tep_db_prepare_input($HTTP_POST_VARS['shippingAdditional']),
							   'insurance' => tep_db_prepare_input($HTTP_POST_VARS['insurance']),
							   'insuranceOption' => tep_db_prepare_input($HTTP_POST_VARS['insuranceOption']),
							   'insurancePerItem' => tep_db_prepare_input($HTTP_POST_VARS['insurancePerItem']),
							   'notify' => tep_db_prepare_input($HTTP_POST_VARS['notify']));				   

			$auctionHelper->insert($winner, $product);
			tep_redirect(tep_href_link(FILENAME_AUCTION_SALES, tep_get_all_get_params(), 'SSL'));
			break;
							
		default:	
		    $oArray =  array('qty' => 1,
							 'timeStart' => date("Y/m/d H:i:s"),
							 'timeEnd' => date("Y/m/d H:i:s"),
							 'userID' => '{unknownUserID}',
							 'email' => '{unknownEmail}',
							 'statusID' => $HTTP_GET_VARS['status'],
							 'shippingAdditional' => '0',
							 'insurancePerItem' => '1');

	    	$oInfo = new objectInfo($oArray);
			
		    $action = 'insert';
			break;
		}
	}
  
?>
<!doctype html public "-//W3C//DTD HTML 4.01 Transitional//EN">
<html <?php echo HTML_PARAMS; ?>>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=<?php echo CHARSET; ?>">
<title><?php echo TITLE; ?></title>
<link rel="stylesheet" type="text/css" href="includes/stylesheet.css">
<script language="javascript" src="includes/general.js"></script>

<script language="javascript"><!--
function check_form() {
  var error = 0;
  var error_message = "<?php echo JS_ERROR; ?>";

//  var customers_firstname = document.customers.customers_firstname.value;
//  if (customers_firstname == "" || customers_firstname.length < <?php echo ENTRY_FIRST_NAME_MIN_LENGTH; ?>) {
//    error_message = error_message + "<?php echo JS_FIRST_NAME; ?>";
//    error = 1;
//  }
//
  if (error == 1) {
    alert(error_message);
    return false;
  } else {
    return true;
  }
}
//--></script>

</head>
<body marginwidth="0" marginheight="0" topmargin="0" bottommargin="0" leftmargin="0" rightmargin="0" bgcolor="#FFFFFF" onload="SetFocus();">
<!-- header //-->
<?php require(DIR_WS_INCLUDES . 'header.php'); ?>
<!-- header_eof //-->

<!-- body //-->
<table border="0" width="100%" cellspacing="2" cellpadding="2">
  <tr>
    <td width="<?php echo BOX_WIDTH; ?>" valign="top"><table border="0" width="<?php echo BOX_WIDTH; ?>" cellspacing="1" cellpadding="1" class="columnLeft">
<!-- left_navigation //-->
<?php require(DIR_WS_INCLUDES . 'column_left.php'); ?>
<!-- left_navigation_eof //-->
    </table></td>
<!-- body_text //-->
    <td width="100%" valign="top"><table border="0" width="100%" cellspacing="0" cellpadding="2">
      <tr>
        <td><table border="0" width="100%" cellspacing="0" cellpadding="0">
          <tr>
            <td class="pageHeading"><?php echo HEADING_TITLE; ?></td>
            <td class="pageHeading" align="right"><?php echo tep_draw_separator('pixel_trans.gif', HEADING_IMAGE_WIDTH, HEADING_IMAGE_HEIGHT); ?></td>
          </tr>
        </table></td>
      </tr>
      <tr>
        <td><?php echo tep_draw_separator('pixel_trans.gif', '1', '10'); ?></td>
      </tr>
      <tr><?php echo tep_draw_form('auction_item', FILENAME_AUCTION_SALE_ITEM, tep_get_all_get_params(array('action')) . 'action=' . $action, 'post', 'onSubmit="return check_form();"') . tep_draw_hidden_field('default_address_id', $cInfo->customers_default_address_id); ?>
        <td class="formArea"><table border="0" cellspacing="2" cellpadding="2">
          <tr>
            <td class="main" align="right"><?php echo ENTRY_AUCTION_HOUSE; ?></td>
            <td class="main"><?php echo tep_draw_pull_down_menu('auctionHouseID', $auction_houses, $oInfo->auctionHouseID); ?></td>
          </tr>
          <tr>
            <td class="main" align="right"><?php echo ENTRY_PRODUCT; ?></td>
            <td class="main"><?php echo tep_draw_pull_down_menu('productID', $products, $oInfo->productID); ?></td>
          </tr>
          <tr>
            <td class="main" align="right"><?php echo ENTRY_STATUS; ?></td>
            <td class="main"><?php echo tep_draw_pull_down_menu('statusID', $auction_statuses, $oInfo->statusID); ?></td>
          </tr>
          <tr>
            <td class="main" align="right"><?php echo ENTRY_TIME_END; ?></td>
            <td class="main"><?php echo tep_draw_input_field('timeEnd', gmt_date_to_local_short($oInfo->timeEnd), 'maxlength="19"', true); ?></td>
          </tr>
          <tr>
            <td class="main" align="right"><?php echo ENTRY_USERID; ?></td>
            <td class="main"><?php echo tep_draw_input_field('userID', $oInfo->userID, 'maxlength="128"', true); ?></td>
          </tr>
          <tr>
            <td class="main" align="right"><?php echo ENTRY_WINNER_EMAIL_ADDRESS; ?></td>
            <td class="main"><?php echo tep_draw_input_field('email', $oInfo->email, 'maxlength="128"', true); ?></td>
          </tr>
          <tr>
            <td class="main" align="right"><?php echo ENTRY_EXT_ID; ?></td>
            <td class="main"><?php echo tep_draw_input_field('extID', $oInfo->extID, 'maxlength="32"', true); ?></td>
          </tr>
          <tr>
            <td class="main" align="right"><?php echo ENTRY_EXT_TITLE; ?></td>
            <td class="main"><?php echo tep_draw_input_field('extTitle', $oInfo->extTitle, 'size="64" maxlength="64"', true); ?></td>
          </tr>
          <tr>
            <td class="main" align="right"><?php echo ENTRY_PRICE_END; ?></td>
            <td class="main"><?php echo tep_draw_input_field('priceEnd', $oInfo->priceEnd . '', 'maxlength="19"', true); ?></td>
          </tr>
          <tr>
            <td class="main" align="right"><?php echo ENTRY_QUANTITY; ?></td>
            <td class="main"><?php echo tep_draw_input_field('qty', $oInfo->qty, 'maxlength="4"', true); ?></td>
          </tr>
          <tr>
            <td class="main" align="right"><?php echo ENTRY_SHIPPING_TYPE; ?></td>
            <td class="main"><?php echo tep_draw_radio_field('shippingType', 'F', $oInfo->shippingType==='F') . '&nbsp;&nbsp;Fixed (eBay-style)&nbsp;&nbsp;' . tep_draw_radio_field('shippingType', 'C', $oInfo->shippingType!=='F') . '&nbsp;&nbsp;osCommerce (default)&nbsp;' ?></td>
          </tr>
          <tr>
            <td class="main"></td>
            <td class="main"><br><?php echo TEXT_SHIPPING_TIP; ?></td>
          </tr>
          <tr>
            <td class="main" align="right"><?php echo ENTRY_SHIPPING; ?></td>
            <td class="main"><?php echo tep_draw_input_field('shipping', $oInfo->shipping . '', 'maxlength="19"', true); ?></td>
          </tr>
          <tr>
            <td class="main" align="right"><?php echo ENTRY_SHIPPING_ADDITIONAL; ?></td>
            <td class="main"><?php echo tep_draw_input_field('shippingAdditional', $oInfo->shippingAdditional . '', 'maxlength="19"', true); ?></td>
          </tr>
          <tr>
            <td class="main" align="right"><?php echo ENTRY_INSURANCE; ?></td>
            <td class="main"><?php echo tep_draw_input_field('insurance', $oInfo->insurance . '', 'maxlength="19"', true); ?></td>
          </tr>
          <tr>
            <td class="main" align="right"><?php echo ENTRY_INSURANCE_OPTION; ?></td>
            <td class="main"><?php echo tep_draw_pull_down_menu('insuranceOption', $insuranceOptions, $oInfo->insuranceOption); ?></td>
          </tr>
          <tr>
            <td class="main" align="right"><?php echo ENTRY_INSURANCE_PER_ITEM; ?></td>
            <td class="main"><?php echo tep_draw_radio_field('insurancePerItem', '1', $oInfo->insurancePerItem=='1') . '&nbsp;&nbsp;True&nbsp;&nbsp;' . tep_draw_radio_field('insurancePerItem', '0', $oInfo->insurancePerItem=='0') . '&nbsp;&nbsp;False&nbsp;' ?>
          </tr>
          <tr>
            <td class="main" align="right"><?php echo ENTRY_NOTIFY_CUSTOMER; ?></td>
            <td class="main"><?php echo tep_draw_checkbox_field('notify', "true"); ?></td>
          </tr>
        </table></td>
      </tr>
      <tr>
        <td><?php echo tep_draw_separator('pixel_trans.gif', '1', '10'); ?></td>
      </tr>
      <tr>
        <td align="right" class="main"><?php echo tep_image_submit('button_update.gif', IMAGE_UPDATE) . ' <a href="' . tep_href_link(FILENAME_AUCTION_SALES, tep_get_all_get_params(array('action'))) .'">' . tep_image_button('button_cancel.gif', IMAGE_CANCEL) . '</a>'; ?></td>
      </tr></form>
    </table></td>
<!-- body_text_eof //-->
  </tr>
</table>
<!-- body_eof //-->
<!-- footer //-->
<?php require(DIR_WS_INCLUDES . 'footer.php'); ?>
<!-- footer_eof //-->
<br>
</body>
</html>
<?php require(DIR_WS_INCLUDES . 'application_bottom.php'); ?>
