<?php
/*
  $Id: abxItemTemplates.php,v 1.13 2007/06/23 01:31:33 auctionblox Exp $

  AuctionBlox, sell more, work less!
  http://www.auctionblox.com

  Copyright (c) 2004 AuctionBlox
*/

  require_once DIR_FS_ABX_CLASSES.'abxItemManager.php';
  require_once DIR_FS_ABX_CLASSES.'abxMacros.php';

  class abxItemTemplates extends abxItemManager {

    function newTemplate($oID, $aPost) {
      $template = array();

      $template = $this->newItem($oID, $aPost);

      return $template;
    }

    function getTemplate($oID) {
      return $this->getItem($oID);
    }

    function deleteTemplates($id) {
      $this->deleteItems($id);
    }

    function insertTemplate($data) {
      return $this->insertItem($data);
    }

    function updateTemplate($data, $id) {
      return $this->updateItem($data, $id);
    }

    function getTemplatesPaginatorQuery() {
      return $this->getItemsPaginatorQuery();
    }

    function getTemplatesForDropdown($aArr = array()) {
      global $abxDatabase;

      static $templates;
      if (!$templates) {
        $sQuery = "SELECT * FROM ".TABLE_ABX_ITEMS." WHERE type = 1";
        $Query = $abxDatabase->query($sQuery);

        while($Query->next()) {
          $templates[] = array(
            'id'   => $Query->valueInt('id'),
            'text' => $Query->value('label')
          );
        }
      }

      return !empty($aArr) ? array_merge($aArr, $templates) : $templates;
    }

    function generateItems($aPost) {
      global $abxDatabase, $languages_id;

      $template = $this->getTemplate($aPost['templateid']);

      unset($template['type'],$template['label']);
/*
      $template = $Macros->runTemplateMacros(
        $aPost,
        array_merge($template, $aPost),
        $template
      );

*/
			// override template with anything specified in the generator
			$template =& array_merge($template, $aPost);
			
      $abxMacros = abxMacros::getInstance();

      $sQuery = $abxMacros->productMacrosQueryString(
        $aPost['abxList'],
        $languages_id
      );

      $productsQuery = $abxDatabase->query($sQuery);
      while($product = $productsQuery->next()) 
      {
        // explicit copy required
        $newItem = $template;
        
//var_dump($newItem); echo "<br><br>"; var_dump($product); exit;
        $newItem = $abxMacros->runItemMacros($newItem,$product);
//var_dump($newItem); echo "<br><br>"; var_dump($product); exit;
        //+++HACK
        if(intval($newItem['max_quantity']) > 0 && $newItem['max_quantity'] < $newItem['quantity'])
          $newItem['quantity'] = $newItem['max_quantity'];
        
        $this->insertItem($newItem);
        
      }
    }

  }//end class
?>
