<?php
/*
  $Id: items_new.php,v 1.16 2007/10/18 14:50:49 auctionblox Exp $

  AuctionBlox, sell more, work less!
  http://www.auctionblox.com

  Copyright (c) 2004 AuctionBlox
*/

//Page Title
global $abx;
switch(current($abx)) {
  case 'edit':
    switch(prev($abx)) {
      case 'templates':
        define('HEADING_TITLE', 'Edit Template');
        break;
      default:
        define('HEADING_TITLE', 'Edit Item');
        break;
    }
    next($abx);
    break;
  default:
    switch(prev($abx)) {
      case 'templates':
        define('HEADING_TITLE', 'New Template');
        break;
      default:
        define('HEADING_TITLE', 'New Item');
        break;
    }
    next($abx);
    break;
}

define('IMAGE_SAVE_AS_TEMPLATE','Save As Template');
define('IMAGE_SAVE_AS_ITEM','Save As Item');
define('IMAGE_SAVE_UPLOAD','Save and Upload');

define('TEXT_CATEGORIES_DIFFER', 'eBay sites have specific values, therefore we have reset certain values such as categories and return policy.');
define('TEXT_LABEL', 'Label');
define('TEXT_BASICS', 'Basics');
define('TEXT_PAYMENT', 'Payment');
define('TEXT_SHIPPING', 'Shipping');
define('TEXT_DESCRIPTION', 'Description');
define('TEXT_OTHER', 'Other');
define('TEXT_DESIGNER_MODE_DISABLED', "The HTML editor mode cannot be displayed if your source contains JavaScript.<br>");
define('TEXT_ITEM_SPECIFICS','Item Specifics');
define('TEXT_HELP_LOCATION', '&nbsp;(e.g. Raleigh, NC)');
define('TEXT_DESCRIPTION_MACROS_HELP','Macros');

define('TEXT_RETURN_POLICY','Return Policy');
define('TEXT_RETURN_POLICY_DETAILS', 'Return Policy Details');

define('ENTRY_RETURN_POLICY_RETURNS_ACCEPTED_US', 'Returns Accepted&nbsp;- Specify a <a class="href" href="http://pages.ebay.com/help/sell/contextual/return-policy.html" target="abx_ebay">return policy</a>.');
define('ENTRY_RETURN_POLICY_RETURNS_ACCEPTED_CA', 'Returns Accepted&nbsp;- Specify a <a class="href" href="http://pages.ebay.ca/help/sell/contextual/return-policy.html" target="abx_ebay">return policy</a>.');
define('ENTRY_RETURN_POLICY_RETURNS_ACCEPTED_UK', 'Returns Accepted&nbsp;- Specify a <a class="href" href="http://pages.ebay.co.uk/help/sell/contextual/return-policy.html" target="abx_ebay">return policy</a>.');
define('ENTRY_RETURN_POLICY_RETURNS_ACCEPTED_AU', 'Returns Accepted&nbsp;- Specify a <a class="href" href="http://pages.ebay.com.au/help/sell/contextual/return-policy.html" target="abx_ebay">return policy</a>.');
define('ENTRY_RETURN_POLICY_RETURNS_ACCEPTED_AT', 'Returns Accepted&nbsp;- Specify a <a class="href" href="http://pages.ebay.at/help/sell/contextual/return-policy.html" target="abx_ebay">return policy</a>.');
define('ENTRY_RETURN_POLICY_RETURNS_ACCEPTED_FR', 'Returns Accepted&nbsp;- Specify a <a class="href" href="http://pages.ebay.fr/help/sell/contextual/return-policy.html" target="abx_ebay">return policy</a>.');
define('ENTRY_RETURN_POLICY_RETURNS_ACCEPTED_DE', 'Returns Accepted&nbsp;- Specify a <a class="href" href="http://pages.ebay.de/help/sell/your-return-policy.html" target="abx_ebay">return policy</a>.');
define('ENTRY_RETURN_POLICY_RETURNS_ACCEPTED_CH', 'Returns Accepted&nbsp;- Specify a <a class="href" href="http://pages.ebay.ch/help/sell/contextual/return-policy.html" target="abx_ebay">return policy</a>.');
define('ENTRY_RETURN_POLICY_RETURNS_ACCEPTED_EMO', 'Returns Accepted&nbsp;- Specify a <a class="href" href="http://pages.ebay.com/help/sell/contextual/return-policy.html" target="abx_ebay">return policy</a>.');

define('ENTRY_RETURN_POLICY_NUMBER_OF_DAYS', 'Item must be returned within');
define('ENTRY_REFUND_POLICY_REFUND_TYPE', 'Refund will be given as');

define('TEXT_RETURN_POLICY_ADDITIONAL_INFO_UK', '<a class="href" href="http://pages.ebay.co.uk/help/policies/business.html" target="abx_ebay">Business sellers</a> may have additional legal obligations');
define('TEXT_RETURN_POLICY_ADDITIONAL_INFO_FR', '<a class="href" href="http://pages.ebay.fr/help/sell/your-return-policy.html" target="abx_ebay">Business sellers</a> may have additional legal obligations');

define('TEXT_RETURN_POLICY_CHARACTER_LIMIT', 'Note: %s character limit');

define('ENTRY_SHIPPING_PACKAGE','Package Size');
define('ENTRY_SHIPPING_SVC','Domestic Shipping');
define('ENTRY_SHIPPING_SVC_GLOBAL','International Shipping');
define('ENTRY_SHIPPING_GLOBAL_FIRST_ITEM','First Item');
define('ENTRY_SHIPPING_GLOBAL_ADDL_ITEM','Each Additional');
define('TEXT_TAX_SANDH', 'Apply sales tax to the total which includes shipping &amp; handling');
define('TEXT_VAT_ENABLED', 'This eBay account is enabled for VAT');
define('TEXT_INCLUDE_VAT_IN_PRICE', 'Automatically add VAT/GST to listing and shipping prices');

define('TEXT_PAYMENT_METHODS', 'I accept the following forms of payment:');
define('TEXT_PAYMENT_INSTRUCTIONS', 'Payment Instructions:');
define('TEXT_GALLERY_URL', 'This should be an image browser.  But for now enter your URL');

define('LEGEND_LABEL','Label (not shown to buyer)');
define('LEGEND_BASICS','Listing Basics');
define('LEGEND_SPECIFICS','Listing Specifics');
define('LEGEND_UPGRADES','Listing Upgrades');
define('LEGEND_PICTURES','Pictures');
define('LEGEND_SHIPPING','Shipping');
define('LEGEND_PAYMENT','Payment');
define('LEGEND_LOCATION','Location');
define('LEGEND_PRODUCT', 'Product Information');
define('LEGEND_DETAILS', 'Listing Details');
define('LEGEND_OPTIONAL', 'Additional Listing Options');

define('TEXT_NO_CALCULATED_SHIPPING','[Not calculated]');
define('TEXT_WEIGHT_UNIT_LBS','lbs');
define('TEXT_WEIGHT_UNIT_KGS','Kg');
define('ENTRY_SHIPPING_WEIGHT','Weight');

define('TEXT_MAXIMIZE','Maximize');
define('TEXT_REMOVE','Remove');
define('TEXT_NOTE_FEES','<strong>Note:</strong> Fields marked with <span class="fees">&#36;</span> are optional and have additional <a class="href" href="http://pages.ebay.com/help/sell/fees.html" target="abx_ebay">eBay fees</a>');
define('TEXT_NOTE_REQUIRED','<strong>Note:</strong> <span class="abxEditFormRequired">*</span>&nbsp;denotes a required field');
define('TEXT_NOTE_PAYMENT','<strong>Note:</strong> You must select at least one payment option and you must provide your PayPal email address if you select PayPal.');

define('TEXT_ITEM_SPECIFICS_SET','<b>Item specifics HAVE been set</b>');
define('TEXT_ITEM_SPECIFICS_SELECT','<b>Item specifics not set for this item</b>');

define('ENTRY_SHIPPING_COUNTRY','Country');
define('ENTRY_BORDER','Border');
define('ENTRY_GIFT_WRAP','Gift Wrap');
define('ENTRY_STORE_CATEGORY2','eBay Store Category #2');

define('ENTRY_UPC','UPC/ISBN/SKU');

define('ENTRY_SHIPPING_HANDLING_FEE','Handling Fee:');
define('ENTRY_BEST_OFFER_ENABLED','Enable Best Offer for this listing');
define('ENTRY_DIGITAL_DELIVERY','This item is a digital file that will be delivered electronically');
define('ENTRY_LOTSIZE','Lot size');
define('TEXT_LOTSIZE','Only enter a value here if a you intend to offer multiple items in a single bulk lot.  (Leave blank if not a bulk lot.)');
?>
